summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeff Quast <contact@jeffquast.com>2014-12-03 01:41:23 -0800
committerJeff Quast <contact@jeffquast.com>2014-12-03 01:41:23 -0800
commit74ee445f6ed46319f2bd3640677657f1fb1814ec (patch)
tree646b4fdfc14c0adfc4d92421c26e883165387292
parentf1f2a713b94f52531ab7869d0cd1fa13c635cf2c (diff)
downloadblessings-74ee445f6ed46319f2bd3640677657f1fb1814ec.tar.gz
Exclude python2.6 tests on Darwin -- build hangs
-rwxr-xr-xtools/teamcity-runtests.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/tools/teamcity-runtests.sh b/tools/teamcity-runtests.sh
index 9145cfb..50ca3ee 100755
--- a/tools/teamcity-runtests.sh
+++ b/tools/teamcity-runtests.sh
@@ -10,8 +10,17 @@ osrel=$(uname -s)
# run tests
cd $here/..
+
+_cmd=tox
+if [ X"$osrel" == X"Darwin" ]; then
+ # python2.6 locks up during py.test on osx build slave,
+ # exclude the test environment py26 from osx.
+ _cmd='tox -epy27,py33,py34,pypy'
+fi
+
ret=0
-tox || ret=$?
+echo ${_cmd}
+${_cmd} || ret=$?
if [ $ret -ne 0 ]; then
# we always exit 0, preferring instead the jUnit XML